---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    description: "Simple Wildfly Application deployed as war"
    fabric8.war-wildfly/iconUrl: "img/icons/wildfly.svg"
    fabric8.war-wildfly/summary: "Simple Wildfly Application deployed as war"
  labels: {}
  name: "war-wildfly"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "war-wildfly"
      provider: "fabric8"
      version: "2.2.106"
      group: "quickstarts"
    name: "war-wildfly"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "war-wildfly"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.106"
      fabric8.io/git-commit: "e5c84ef26d118dcdad928aa2ac099f5119f0f2a1"
      fabric8.io/build-id: "2"
    labels:
      project: "war-wildfly"
      provider: "fabric8"
      version: "2.2.106"
      group: "quickstarts"
    name: "war-wildfly"
  spec:
    replicas: 1
    selector:
      project: "war-wildfly"
      provider: "fabric8"
      version: "2.2.106"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "war-wildfly"
          provider: "fabric8"
          version: "2.2.106"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/war-wildfly:2.2.106"
          name: "war-wildfly"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
